Skip to main content
GET
Retrieves the bill payment details.

Headers

Authorization
string
required

Value must be 'Bearer ' where is an API key prefixed with 'bc_' or a JWT token.

Example:

"Bearer bc_1234567890abcdef"

organization-id
string
required

Required if Authorization is a JWT token. The organization ID to operate within.

Path Parameters

billPaymentId
number
required

The bill payment id

Response

200 - application/json

The bill payment details have been successfully retrieved.

id
number
required

The unique identifier of the bill payment

Example:

1

vendorId
number
required

The vendor ID

Example:

1

amount
number
required

The amount paid

Example:

100

paymentAccountId
number
required

The payment account ID

Example:

2

paymentDate
string
required

The payment date

Example:

"2024-01-01"

formattedPaymentDate
string
required

The formatted payment date

Example:

"2024-01-01"

formattedAmount
string
required

The formatted amount

Example:

"100.00 USD"

formattedTotal
string
required

The formatted total

Example:

"100.00 USD"

formattedSubtotal
string
required

The formatted subtotal

Example:

"100.00 USD"

createdAt
string<date-time>
required

The date when the payment was created

Example:

"2024-01-01T12:00:00Z"

formattedCreatedAt
string
required

The formatted created at date

Example:

"2024-01-01"

entries
object[]
required

The entries of the bill payment

currencyCode
string

The currency code

Example:

"USD"

paymentNumber
string

The payment number

Example:

"PAY-2024-001"

exchangeRate
number

The exchange rate

Example:

1

statement
string

Statement or note

Example:

"Payment for January bills"

reference
string

Reference number

Example:

"REF-123"

branchId
number

The branch ID

Example:

1

updatedAt
string<date-time>

The date when the payment was last updated

Example:

"2024-01-02T12:00:00Z"

attachments
object[]

The attachments of the bill payment